io.undertow.server.handlers.error

## Class SimpleErrorPageHandler

- java.lang.Object
- - io.undertow.server.handlers.error.SimpleErrorPageHandler

All Implemented Interfaces:
  HttpHandler

    public class SimpleErrorPageHandler
    extends Object
    implements HttpHandler

Handler that generates an extremely simple no frills error page

Author:
  Stuart Douglas

### Constructor Summary

Constructors
Constructor and Description
`SimpleErrorPageHandler()`
`SimpleErrorPageHandler(HttpHandler next)`

### Method Summary

All Methods Instance Methods Concrete Methods
`HttpHandler` `getNext()`
`Set<Integer>` `getResponseCodes()`
`void` `handleRequest(HttpServerExchange exchange)` Handle the request.
`SimpleErrorPageHandler` `setNext(HttpHandler next)`
`SimpleErrorPageHandler` `setResponseCodes(Integer... responseCodes)`
`SimpleErrorPageHandler` `setResponseCodes(Set<Integer> responseCodes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleErrorPageHandler

    public SimpleErrorPageHandler(HttpHandler next)

#### SimpleErrorPageHandler

    public SimpleErrorPageHandler()

### Method Detail

#### handleRequest

    public void handleRequest(HttpServerExchange exchange)
                       throws Exception

Description copied from interface: `HttpHandler`
Handle the request.

Specified by:
  `handleRequest` in interface `HttpHandler`
Parameters:
  `exchange` - the HTTP request/response exchange
Throws:
  `Exception`

#### getNext

    public HttpHandler getNext()

#### setNext

    public SimpleErrorPageHandler setNext(HttpHandler next)

#### getResponseCodes

    public Set<Integer> getResponseCodes()

#### setResponseCodes

    public SimpleErrorPageHandler setResponseCodes(Set<Integer> responseCodes)

#### setResponseCodes

    public SimpleErrorPageHandler setResponseCodes(Integer... responseCodes)